<!DOCTYPE html>
    <html lang="en">

    <head>
        <meta charset="utf-8">
        <title>Staff Dashboard |  Admin Dashboard</title>
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta content="A fully featured admin theme which can be used to build CRM, CMS, etc." name="description">
        <meta content="Coderthemes" name="author">
        <!-- App favicon -->
        <link rel="shortcut icon" href="../img/favicon.ico">

        <!-- third party css -->
        <link href="../css/vendor/dataTables.bootstrap5.css" rel="stylesheet" type="text/css">
        <link href="../css/vendor/responsive.bootstrap5.css" rel="stylesheet" type="text/css">
        <link href="../css/vendor/buttons.bootstrap5.css" rel="stylesheet" type="text/css">
        <link href="../css/vendor/select.bootstrap5.css" rel="stylesheet" type="text/css">
        <link href="../css/vendor/jquery-jvectormap-1.2.2.css" rel="stylesheet" type="text/css">
        <!-- third party css end -->

        <!-- App css -->
        <link href="../css/icons.min.css" rel="stylesheet" type="text/css">
        <link href="../css/app.min.css" rel="stylesheet" type="text/css" id="light-style">
        <link href="../css/app-dark.min.css" rel="stylesheet" type="text/css" id="dark-style">

    </head>
    <script>
        setTimeout(() => {
            const box = document.getElementById('box');
            box.style.display = 'none'
            
        }, 3000);
      </script>

    <body class="loading" data-layout-config='{"leftSideBarTheme":"dark","layoutBoxed":false, "leftSidebarCondensed":false, "leftSidebarScrollable":false,"darkMode":false, "showRightSidebarOnStart": true}'>
        <!-- Begin page -->
        <div class="wrapper">
            <!-- ========== Left Sidebar Start ========== -->
            <div class="leftside-menu">

                <!-- LOGO -->
                <a href="index.html" class="logo text-center logo-light">
                    <span class="logo-lg">
                        <img src="../img/logo_sm.png" alt="" height="40">
                    </span>
                    <span class="logo-sm">
                        <img src="../img/logo_sm.png" alt="" height="40">
                    </span>
                </a>

                <!-- LOGO -->
                <a href="./adminDashboard" class="logo text-center logo-dark">
                    <span class="logo-lg">
                        <img src="../img/logo-dark.png" alt="" height="40">
                    </span>
                    <span class="logo-sm">
                        <img src="../img/logo_sm_dark.png" alt="" height="40">
                    </span>
                </a>

                <div class="h-100" id="leftside-menu-container" data-simplebar="">

                    <!--- Sidemenu -->
                    <ul class="side-nav">

                        <li class="side-nav-title side-nav-item">Navigation</li>

                        <li class="side-nav-item">
                            <a data-bs-toggle="collapse" href="#sidebarDashboards" aria-expanded="false" aria-controls="sidebarDashboards" class="side-nav-link">
                                <i class="uil-users-alt"></i>
                                <span class="badge bg-success float-end">2</span>
                                <span> User Details </span>
                            </a>
                            <div class="collapse" id="sidebarDashboards">
                              <ul class="side-nav-second-level">
                                <li>
                                  <a href="./adminDashboard">Student Details</a>
                                </li>

                                <li>
                                  <a href="./staffManage">Staff Details</a>
                                </li>
                              </ul>
                            </div>
                        </li>

                        <li class="side-nav-item">
                            <a href="./ccaManage" class="side-nav-link">
                                <i class="uil-table"></i>
                                <span> CCA Management </span>
                            </a>
                        </li>

                        <li class="side-nav-item">
                            <a href="./adminabout" class="side-nav-link">
                                <i class="uil-exclamation-circle"></i>
                                <span> About </span>
                            </a>
                        </li>
                      </ul>


                    <!-- End Sidebar -->

                    <div class="clearfix"></div>

                </div>
                <!-- Sidebar -left -->

            </div>
            <!-- Left Sidebar End -->

            <!-- ============================================================== -->
            <!-- Start Page Content here -->
            <!-- ============================================================== -->

            <div class="content-page">
                <div class="content">
                    <!-- Topbar Start -->
                    <div class="navbar-custom">
                        <ul class="list-unstyled topbar-menu float-end mb-0">

                            

                            <li class="dropdown notification-list">
                                <a class="nav-link dropdown-toggle nav-user arrow-none me-0" data-bs-toggle="dropdown" href="#" role="button" aria-haspopup="false" aria-expanded="false">
                                    <span class="account-user-avatar">
                                        <img src="userImages/<%= admin.photo %>" alt="user-image" class="rounded-circle">
                                    </span>
                                    <span>
                                        <span class="account-user-name"><%= admin.name%></span>
                                        <span class="account-position"><%= admin.role%></span>
                                    </span>
                                </a>
                                <div class="dropdown-menu dropdown-menu-end dropdown-menu-animated topbar-dropdown-menu profile-dropdown">
                                    <!-- item-->
                                    <div class=" dropdown-header noti-title">
                                        <h6 class="text-overflow m-0">Welcome !</h6>
                                    </div>                                  

                                    <!-- item-->
                                    <a href="./setting" class="dropdown-item notify-item">
                                        <i class="mdi mdi-account-edit me-1"></i>
                                        <span>Settings</span>
                                    </a>
                                    

                                    <!-- item-->
                                    <a href="/logout" class="dropdown-item notify-item">
                                        <i class="mdi mdi-logout me-1"></i>
                                        <span>Logout</span>
                                    </a>
                                </div>
                            </li>

                        </ul>
                        <button class="button-menu-mobile open-left">
                            <i class="mdi mdi-menu"></i>
                        </button>

                    </div>
                    <!-- end Topbar -->

                    <!-- Start Content-->
                    <div class="container-fluid">

                        <!-- start page title -->
                        <div class="row">
                            <div class="col-12">
                                <div class="page-title-box">
                                    <h4 class="page-title">Staff Details</h4>
                                </div>
                            </div>
                        </div>
                        <!-- end page title -->

                        <div class="row">
                          <div class="col-12">
                            <div class="card">
                              <div class="card-body">
                                <h4 class="header-title"></h4>
                                <div class="row mt-12">
                                  <div class="col-sm-12">
                                      <div class="text-sm-end">
                                          <a href="./addIndividualStaff" class="add-button" role="button">Add Individual</a>
                                          <a href="./staffBulk" class="add-button" role="button">Bulk Registration</a>
                                      </div>
                                  </div> <!-- end col -->
                              </div> <!-- end row -->
                                <hr>
                                <table id="scroll-horizontal-datatable" class="table w-100 nowrap">
                                    <%
                                        if(typeof message !== 'undefined'){
                                        %>
                                        <h4 id="box" style="color:#359735;"><%= message %></h4>
                                        <%
                                    
                                        }
                                      %>
                                  <thead>
                                    <tr>
                                      <th>Name</th>
                                      <th>Employee ID</th>
                                      <th>Designation</th>
                                      <th></th>

                                    </tr>
                                  </thead>

                                  <tbody>
                                    <%
                                                if(staff.length > 0){
                                                    for(let i=0; i<staff.length; i++){
                                                        %>
                                                        <tr>
                                                            <td><%= staff[i].name %></td>
                                                            <td><%= staff[i].userid %></td>
                                                            <td><%= staff[i].designation %></td>
                                                            <td> <a href="/staffProfile?id=<%= staff[i]._id %>"> <i class="mdi mdi-eye"></i> </a> </td>
 
                                                            <!-- <td><a href="/staffProfile?id=<%= staff[i]._id %>"><i class="fa fa-eye" aria-hidden="true"></i></a>  </td> -->
															<!-- <td><a href="/editStaff?id=<%= staff[i]._id %>"><i class="fa fa-pencil" aria-hidden="true"></i></a> </td>
															<td><i class="fa fa-trash" aria-hidden="true" onclick="deleteConfirm('<%= staff[i]._id %>')"></i></td>                -->
                                                            
                                                        </tr>
                                                        <%
                                                    }
                                                }
                                                else{
                                                    %>
                                                        <tr>
                                                            <td colspan="5">Users Not Found</td>
                                                        </tr>
                                                    <%
                                                }
                                            %>

                                  </tbody>
                                </table>
                              </div>

                            </div>
                          </div>

                        </div>
                        </div>
                        <!-- end row -->

                    </div>
                    <!-- container -->

                </div>
                <!-- content -->

                <!-- Footer Start -->
                <footer class="footer">
                    <div class="container-fluid">
                        <div class="row">
                            <div class="col-md-6">
                                <script>document.write(new Date().getFullYear())</script> © GCIT
                            </div>
                            
                        </div>
                    </div>
                </footer>
                <!-- end Footer -->

            </div>

            <!-- ============================================================== -->
            <!-- End Page content -->
            <!-- ============================================================== -->


        </div>
        <!-- END wrapper -->      

        <!-- bundle -->
        <script src="../js/vendor.min.js"></script>
        <script src="../js/app.min.js"></script>

        <!-- third party js -->

        <!-- for table -->
        <script src="../js/vendor/jquery.dataTables.min.js"></script>
        <script src="../js/vendor/dataTables.bootstrap5.js"></script>
        <script src="../js/vendor/dataTables.responsive.min.js"></script>
        <script src="../js/vendor/responsive.bootstrap5.min.js"></script>
        <script src="../js/vendor/dataTables.select.min.js"></script>
        <script src="../js/vendor/dataTables.buttons.min.js"></script>

        <!-- third party js ends -->

        <!-- demo app -->
        <script src="../js/pages/demo.dashboard.js"></script>
        <script src="../js/pages/demo.datatable-init.js"></script>
        <!-- end demo js-->
    </body>

</html>
